aboutsummaryrefslogtreecommitdiff
path: root/config/polybar/panels/scripts/style-switch.sh
diff options
context:
space:
mode:
authorAnhgelus Morhtuuzh <anhgelus.morhtuuzh@gmx.com>2023-07-25 23:46:05 +0200
committerAnhgelus Morhtuuzh <anhgelus.morhtuuzh@gmx.com>2023-07-25 23:46:05 +0200
commitc57e8ab185623510e527400a34d729b313daffc4 (patch)
tree7b67d44894255ce4810d8074d68fce88f66d37d0 /config/polybar/panels/scripts/style-switch.sh
parent9f004955033387eebf3f58aec2501fba5020f307 (diff)
feat(polybar): update polybar style
Diffstat (limited to 'config/polybar/panels/scripts/style-switch.sh')
-rwxr-xr-xconfig/polybar/panels/scripts/style-switch.sh69
1 files changed, 69 insertions, 0 deletions
diff --git a/config/polybar/panels/scripts/style-switch.sh b/config/polybar/panels/scripts/style-switch.sh
new file mode 100755
index 0000000..1a11840
--- /dev/null
+++ b/config/polybar/panels/scripts/style-switch.sh
@@ -0,0 +1,69 @@
+#!/usr/bin/env bash
+
+SDIR="$HOME/.config/polybar/panels/scripts"
+DIR="$HOME/.config/polybar/panels/menu"
+
+if [[ "$1" = "--budgie" ]]; then
+ theme="budgie"
+
+elif [[ "$1" = "--deepin" ]]; then
+ theme="deepin"
+
+elif [[ "$1" = "--elight" ]]; then
+ theme="elementary"
+
+elif [[ "$1" = "--edark" ]]; then
+ theme="elementary_dark"
+
+elif [[ "$1" = "--gnome" ]]; then
+ theme="gnome"
+
+elif [[ "$1" = "--klight" ]]; then
+ theme="kde"
+
+elif [[ "$1" = "--kdark" ]]; then
+ theme="kde_dark"
+
+elif [[ "$1" = "--liri" ]]; then
+ theme="liri"
+
+elif [[ "$1" = "--mint" ]]; then
+ theme="mint"
+
+elif [[ "$1" = "--ugnome" ]]; then
+ theme="ubuntu_gnome"
+
+elif [[ "$1" = "--unity" ]]; then
+ theme="ubuntu_unity"
+
+elif [[ "$1" = "--xubuntu" ]]; then
+ theme="xubuntu"
+
+elif [[ "$1" = "--zorin" ]]; then
+ theme="zorin"
+
+else
+ rofi -e "No theme specified."
+ exit 1
+fi
+
+# Launch Rofi
+MENU="$(rofi -no-config -no-lazy-grab -sep "|" -dmenu -i -p '' \
+-theme $DIR/$theme/styles.rasi \
+<<< " Budgie| Deepin| Elementary| Elementary_Dark| Gnome| KDE|\
+ KDE_Dark| Liri| Mint| Ubuntu_gnome| Ubuntu_unity| Xubuntu| Zorin|")"
+ case "$MENU" in
+ *Budgie) "$SDIR"/styles.sh --budgie ;;
+ *Deepin) "$SDIR"/styles.sh --deepin ;;
+ *Elementary) "$SDIR"/styles.sh --elight ;;
+ *Elementary_Dark) "$SDIR"/styles.sh --edark ;;
+ *Gnome) "$SDIR"/styles.sh --gnome ;;
+ *KDE) "$SDIR"/styles.sh --klight ;;
+ *KDE_Dark) "$SDIR"/styles.sh --kdark ;;
+ *Liri) "$SDIR"/styles.sh --liri ;;
+ *Mint) "$SDIR"/styles.sh --mint ;;
+ *Ubuntu_gnome) "$SDIR"/styles.sh --ugnome ;;
+ *Ubuntu_unity) "$SDIR"/styles.sh --unity ;;
+ *Xubuntu) "$SDIR"/styles.sh --xubuntu ;;
+ *Zorin) "$SDIR"/styles.sh --zorin ;;
+ esac